JPegger-1: Overview

Vallen JPegger

Overview

Introduction

Vallen JPegger is a handy image viewer program. It allows one to quickly browse through directories with many images simply by cursor keys <Up> and <Down> (see also: Keyboard Shortcuts).

Vallen JPegger reads most common Windows bitmap file formats (A complete list of supported image formats can be found at the end of this chapter).

Additionally it includes an automatic slide show mode where it shows one picture after the other in an user-specified time interval.

You can copy Vallen JPegger for your personal needs. The program is provided as is.

Technical support for registered customers only!!

There is no liability or warranty for any damages that might arise from use of Vallen JPegger.

Commercial use requires licensing after evaluation period of 30 days!

Contact sales@vallen.de for pricing information.

Note: Your comments are highly appreciated especially concerning bugs. Please also comment if you like or dislike Vallen JPegger. Technical support for registered customers only!!

Features:

  • File Viewer supports 40 different image formats such as BMP, JPEG, JP2, JPC, PCX, GIF, TIFF, EPS, PNG, TGA, VST, PSP-files and a few more minor and sub-formats.
    See below for a complete list of supported image formats.

  • New: JPEG 2000 support

  • New: Multi-page image types supported

  • New: EXIF codes supported

  • New: MP3 Explorer included

  • New: MP3 Tag Editor (ID3v1 / ID3v2)

  • New: Twain Scanner/Digital camera interface included

  • New: Print postcards (From 2 up t o144 images on one single page in best quality!)

  • Multi language interface

  • CD-Starter tool VStarter added.

  • Improved: Sound interface added! Make your own audio comments for your images.

  • Command line interface added.

  • Tools - Find duplicate files

  • Directory tree added.

  • Quick access file list of all images in the currently selected directory (see also: File Order)

  • Thumbnails! View and print support.

  • Full screen display modes <F11> and <Ctrl+F11> or simply <Return> (see also: Keyboard Shortcuts)

  • User defined file order, by name, size, time or random (see also: File Order)

  • Keyboard controlled for fast navigation (see also: Keyboard Shortcuts)

  • Slide show mode with user-defined time interval (see also: Slide show Mode)

  • Dynamic zoom function (from 25% to 1000% and fit to window, see also Menu View)

  • Mouse panning when zoomed (see also: Mouse Panning)

  • Clipboard Copy and Paste (see also Menu Edit)

  • Built-in file Copy, Move, Delete and Rename

  • No installation required. Simply copy files into target directory and run JPegger.exe

  • See Version history for latest changes.

Getting Started

Please start with chapter Main Menu .

Supported Image formats (with thanks to Mike Lischke):

  • New: JPEG 2000

  • TIFF images (*.tif; *.tiff), extended base line implementation
    1..16 bits per sample
    indexed, grayscale, RGB(A), CMYK, L*a*b*
    uncompressed, packed bits, CCITT T.4, Thunderscan, Deflate, new style JPEG

  • GFI fax images (*.fax),

  • SGI images (*.bw, *.rgb, *.rgba, *.sgi)
    1..16 bits per sample
    indexed, grayscale, RGB(A)
    uncompressed, RLE

  • Autodesk images files (*.cel; *.pic) old style only
    8 bits per sample, indexed and uncompressed

  • Truevision images (*.tga; *.vst; *.icb; *.vda; *.win),
    5 and 8 bits per sample
    grayscale, indexed, 15 bits RGB (555), 24 bits RGB(A)(888)
    uncompressed, RLE

  • ZSoft Paintbrush images (*.pcx, *.pcc; *.scr)
    1..8 bits per sample
    grayscale, indexed, RGB
    uncompressed, RLE

  • Kodak Photo-CD images (*.pcd)
    8 bits per sample in YCbCr in any resolution (192 x 128 up to 6144 x 4096)

  • Portable pixel/gray map images (*.ppm, *.pgm, *.pbm)
    1 and 8 bits per sample
    grayscale, indexed, RGB uncompressed

  • Dr. Halo images (*.cut, *.pal)
    8 bits per sample indexed, RLE compressed

  • CompuServe images (*.gif)
    1, 4, 8 bits per sample indexed, compressed

  • SGI Alias/Wavefront images (*.rla, *.rpf)
    8 bits per sample RGB(A), RLE compressed

  • Standard Windows bitmap images (*.bmp, *.rle, *.dib)

  • Photoshop images (*.psd, *.pdd)
    1, 8, 16 bits per sample
    indexed, RGB, CMYK, CIE L*a*b*
    uncompressed and packed bits

  • Paintshop Pro images (*.psp)
    1, 4, 8 bits per sample
    indexed, grayscale, RGB
    uncompressed, RLE and LZ77
    single-layered files only!

  • Portable network graphic images (*.png)
    1, 2, 4, 8, 16 bits per sample
    indexed, grayscale alpha, RGB(A), LZ77 compressed

Disclaimer:

This program in its current version is freeware and may be freely distributed in its original unmodified form. This program is supplied as is without any warranties whether expressed or implied. There is no liability or warranty for any damages that might arise from use of this program.

Vallen-Systeme GmbH assumes no responsibility for any loss of money, time or productivity, or damages in any way to any person(s) or computer hardware or software as a result of using this program. Even if Vallen-Systeme GmbH had knowledge or had been notified of the possibilities of such events the user of this program must assume the entire risk of using the program.

The program is provided as is. There is no technical support provided. The current version of Vallen JPegger is non-commercial. This program cannot be sold. No registration required.

All trademarks or registered trademarks are properties of their respective owners.

Title: JPegger-1: Overview
Link: jpegger/MainOverview.htm
Copyright © 1986-2006 by Vallen-Systeme GmbH. All rights reserved.


JPegger-2: Uninstalling Vallen JPegger

Uninstalling Vallen JPegger

Since Version 4.15 there is full un-installation support for Vallen JPegger.

Uninstall via:

Start / Settings / Control Panel / Add/Remove Programs.

In case there is no uninstall entry in Add/Remove programs:

Either download latest version (http://www.vallen.de/freeware/jpsetup.exe) and install/uninstall again or proceed as follows:

  1. Open a DOS command prompt box

  2. Change into folder where Vallen JPegger has been installed into.
    Example: cd \vallen\jpegger

  3. Run JPegger with the following command-line options "-ui -q"
    Example: jpegger -ui -q

How to remove the "Browse with Vallen JPegger" entry in context menu of folders and the recycle bin.

Either download latest version (http://www.vallen.de/freeware/jpsetup.exe) and install/uninstall again or delete the following key from the registry:

HKEY_CLASSES_ROOT\Folder\shell\Browse with Vallen JPegger

Title: JPegger-2: Uninstalling Vallen JPegger
Link: jpegger/MainUninstall.htm


JPegger-3: Contributions

Contributions

Many people have contributed to the success of Vallen JPegger. In this section I want to thank at least some of them.

Software Library:

First I'd like to thank Mike Lischke for his fabulous graphics library GraphicEx which is used inside Vallen JPegger. If you are a Delphi programmer I really can recommend to visit his site (http://www.delphi-gems.com/) where he offers a bunch of interesting components. All of them are very well designed and might be of interest for you as a programmer.

I'd also like to thank Jürgen Faul for his great MP3 ID-Tag library, which is really easy to use and very helpful.

The latest contribution is coming from by Martin Djernæs from Denmark. His code for decoding the EXIF tags in JPG files has been added lately.

Last but not least Troy Wolbrink for his fantastic Unicode controls.

Many thanks to the translators:

Nuno Justo (njusto@clix.pt), who made the Portuguese translation and a lot of testing.

Marco D’Amato (md@swzone.it) who made the Italian translation. Please also visit his site (http://mdt.swzone.it).

Ulf Swedjemark for his Swedish translation.

Vincent Malien and Denis Mentha for their French translation.

Antonio Mengs for his Spanish translation.

Sherif Gouda (sherif1970@mail.ru) for his Arabic translation.

Piotr Murawski and Rafal Lampe, (http://www.lomsel.com.pl) for their Polish translation.

Alexander Steipe and his wife Svetlana Vorobieva (alexander@svetlana-munich.de) for their Russian translation.

Joe Yu for his Traditional Chinese translation

Li Nan for his Simplified Chinese Translation. He contributes his translation to his deeply love-Mariko

Borut Maricic of International Photoarchiver, for his Croatian translation.

Leposava Tošeski, (http://www.borut.com/leposava_toseski/), for her Serbian translations (Cyrillic and Latin).

Jiří Máček for his Czech translation.

René van Dijk of Foto van Dijk-Huizenga (Ureterp, The Netherlands) for his Dutch translation.

Koshi Odagiri (Odakoh), (e-mail: odakoh_maroon@yahoo.co.jp) for his Japanese translation.

Peter Velosy for his Hungarian translation.

Ali Sarıoğlu for his Turkish translation.

Borut Repina for his Slovenian translation.

Matti Tapanainen, Uusikaupunki, Finland, for his Finnish translation.

P. Allan, for his Danish translation.

Beta Testers:

There are really many beta testers involved in keeping the quality of Vallen JPegger. But there is one who really needs to be mentioned: Manfred Gotthalmseder (m.gotthalmseder@eduhi.at), a teacher at an Austrian school of art, who gave me most feedback. The MP3 sound interface is his idea and he uses it very intensively in his own educational CD of art to explain modern and anxious painting to his students. This CD is really interesting and I can only recommend to ask him for a copy if you are interested in art.

Installation:

The FreeExtractor from Andrew Fawcett is used for extracting the installation. Thanks to him for his world's smallest stub (http://www.disoriented.com).

Disclaimer

The author is not responsible for any contents linked or referred to from his pages - unless he has full knowledge of illegal contents and would be able to prevent the visitors of his site from viewing those pages. If any damage occurs by the use of information presented there, only the author of the respective pages might be liable, not the one who has linked to these pages. Furthermore the author is not liable for any postings or messages published by users of discussion boards, guest books or mailing lists provided on his page.

Title: JPegger-3: Contributions
Link: jpegger/MainContributions.htm


JPegger-4: Localizations

About the Localizations

Currently Vallen JPegger supports the following languages:

  • English

  • German

  • Italian

  • French

  • Portuguese

  • Spanish

  • Swedish

  • Finnish

  • Danish

  • Dutch

  • Polish

  • Hungarian

  • Czech

  • Croatian

  • Serbian Latin

  • Serbian Cyrillic

  • Slovenian

  • Turkish

  • Russian

  • Arabic

  • Chinese

  • Japanese

All translation is done voluntarily and free of charge by users of Vallen JPegger. For information about the translators please see contributions.

How to add another Language?

There is a free Localization Pack available that allows you to provide localizations for your own language at http://www.vallen.de/freeware. It includes a Unicode capable Language Editor for easy translating of all texts showing up in the program. This allows you to translate JPegger and immediately test your texts in real-time with the full running version of Vallen JPegger under real-world conditions. The Localization Pack is complete and stand-alone. No additional software or any programming skills required.

When finished you simply send back the language files for inclusion in the next public release. For detailed information see langedit.pdf within the JPegger Localization Pack.

Notes about the Arabic localization and other Unicode localizations:

The translation Arabic is available in these cases:

  1. Special Localized Windows 9X/ME:

    1. Arabic Windows (Windows with Arabic menu)

    2. Enabled Arabic Windows (Windows with Arabic support and English menu)

  2. NT windows as 2k/XP: Universal or localized

Note for Windows NT: To avoid some strange effects for any right to left written language or even any vertical written language, you can use language options in the control panel as in the image below. This option does not add any language for the keyboard in the language bar, but it recognizes the other attitudes of any written language (right to left: first option; vertical: second option).

Note: To show up the Unicode translations properly (like Chinese, Japanese or Arabic) you must install the files for East Asian languages (see image below, lower checkbox). Works on all Windows 2000/XP systems.

Title: JPegger-4: Localizations
Link: jpegger/MainLocalizations.htm


JPegger-5: Version History

Version History

Changes between releases

You will find the version history in file history.txt within the same folder the application has been installed into.

Title: JPegger-5: Version History
Link: jpegger/MainVersionHistory.htm


AddOns-1: CD-Starter Tool VStarter

CD-Starter Tool

VSTARTER.EXE

There is a tool called vstarter.exe in folder cd_start. This allows you to create CDs with a professional Starter program.

This program is completely configurable via the INI-file vstarter.ini which must be in the same folder as vstarter.exe. This program offers two buttons to the user. The left Run button starts JPegger with the command-line parameters defined in vstarter.ini. The right button closes Vstarter without calling JPegger. The image shown on this dialog must be available as vstarter.jpg. You can freely replace vstarter.jpg with your own image but keep the size of 300x300 pixels.

Format of vstarter.ini:

[vstarter]

JPegger_Path=..\jpegger.exe

JPegger_Params=-ft -ss:3000 -mw –s:n "images\sample1.jpg"

BtnStart=&Run JPegger

BtnClose=&Close

Rem – This is a comment line

Each line defines a specific parameter. The name of the parameter is fix (the left part) and its value (the right part) is configurable.

JPegger_Path: | Defines where VStarter finds the JPegger executable file, relative to the path of vstarter. You must modify the given path according to your folder structure on your CD.
JPegger_Params: | Command-line parameters to be used by Vallen JPegger. Define the proper command-line arguments according to your needs. Relative file references must be relative to the location of jpegger.exe
BtnStart: | The caption of the Start button. You can localize this text.
BtnClose: | The caption of the Close button. You can localize this text.

Also a sample autorun.inf file is included which shows how to call Vstarter automatically when a CD is inserted into your CD-ROM drive on Windows 9x based systems.

The autorun.inf ca look like this:

[autorun]

open=cd_start\vstarter.exe

shell\start=Open Image CD

shell\start\command=cd_start\vstarter.exe

The very first line is a file identifier [autorun]. The first line below the identifier specifies which program to run on inserting a CD with the open command. In this case it runs vstarter.exe which must be in folder sample. The 2nd line adds an additional menu item to the explorer context menu saying "Open image CD" and the 3rd line defines which program to call when the user clicks this item. In this sample the program paths are identical between the 1st and 3rd line.

Hint: You need the first line in autorun.inf but not necessarily line 2 and 3.

Title: AddOns-1: CD-Starter Tool VStarter
Link: jpegger/addons/ToolsVStarter.htm


FAQ-1: FAQ - Frequently asked questions

FAQ - Frequently asked questions

General and Installation

Q: Is Vallen JPegger running on Mac or Linux based systems?

A: No, Vallen JPegger is designed for Windows based systems only.

Q: Is Vallen JPegger compatible with Windows XP?

A: Yes, Vallen JPegger is compatible with all of the following Windows versions 98, Me, NT4, 2000 and XP SP2. Latest service packs are required.

Q: How to create a desktop shortcut?

A: Open File/Preferences. Click on Tab "Setup" and click "Create Desktop Icon". More Info .

Q: JPegger seems to create thousands of jpeggeri.dat files. What are these good for?

A: These files contain the thumbnail images which are created once. So if you visit an image folder a second time after having created the thumbnails once JPegger only loads the jpeggeri.dat file for faster display. The creation of these files can be disabled in File/Preferences/Thumbnails.

Q: How to remove the "Browse with Vallen JPegger" entry in context menu of folders and the recycle bin.

Delete the following key from the registry:

HKEY_CLASSES_ROOT\Folder\shell\Browse with Vallen JPegger

Q: How can I avoid that JPegger stores visited folders in its history list?

Start JPegger with command line option -NoHist.

Localization issues

Q: Is JPegger available in my language also?

A: There is a Localization Pack available for JPegger which allows you easily to translate (localize) JPegger into any language. Please see chapter about Localizations for more information.

Q: The Arabic/Chinese or any other Unicode translation only shows quotation marks on my Windows 9x system. What's wrong?

A: If you have a Western version of Windows 98 running Unicode characters might not be supported properly. Please see chapter about Localizations for more information.

Getting started

Q: I have downloaded and opened Vallen JPegger, but it doesn't tell me how to browse
through my files. What shall I do?

A: Click on "File/Open" and select a file or use the Folder tree on the top left. All images in the folders are shown automatically. Try right mouse button for context menus.

Q: I would like to show all images within a folder and its subfolders recursively?

A: Select File / Browse (or shortcut <Ctrl+B>. Then select the folder and check "Include subfolders".

Q: How can I select more than one picture at once for common operations?

A: Hold <Ctrl> while selecting the thumbnails by mouse click. Instead you can also hold <Shift> to select all pics between the first and the last selected.

Q: When I start the screen capture suddenly Vallen JPegger disappears. What has happened?

A: When you start the screen capture then Vallen JPegger hides itself to allow you to make a screenshot of the desktop without interference of Vallen JPegger. Inside the Screen Capture Setup you define a keyboard shortcut (by default it is <Ctrl+F11>). Press this shortcut to actually take the screen shot and JPegger pops up again.

Q: How can I create a new folder?

A: Select "New folder" out of the context menu of the thumbnails or the file list.

Q: I added folders in Explorer but the folder tree in JPegger doesn't reflect the changes. How can I update the folder tree?

A: Press <Shift+Ctrl+F5>.

Q: Sometimes the tool tips are annoying. How do I get rid of those?

A: Uncheck "Tool tips" in menu view.

Special features

Q: I want to resize a whole bunch of images at once to make them small enough to be sent by e-Mail. How can I do that?

A: Select the images to resize and select Quick Downsize from the context menu. This function is automatically called when sending images by mail from the context menu.

Slideshow Mode

Q: How do I start the slide show mode?

A: Press <F10>. Alternatively call context menu by right mouse click.

Q: How do I stop the slide show mode?

A: Press either <F10> or <ESC>. Slide show mode also cancels when calling an action from the context menu.

Q: How do I start the slideshow mode automatically on program start?

A: Use command-line parameter. More info.

Q: I started Vallen JPegger command-line parameter /ss:5000 but the screen is blank on start?

A: Please check if the file or folder specified to show on start is existing.

Full Screen Image

Q: How do I show an image in full screen?

A: Simply press <Enter> or <Return> or use context menu with right mouse click on the image.

Q: How can I exit Full Screen mode?

A: Again simply press <Enter> or <Return> or use context menu with right mouse click on the image.

Q: How do I navigate to the next / previous image in Full Screen mode?

A: Press <Page+Down> / <Page+Up>. Alternatively press left mouse button for next image. Use right mouse for context menu. Press <Backspace> to go to the previous image.

Q: Where do I find a list of shortcuts used by Vallen JPegger?

A: See here.

Q: I would like to see the images in the 1:1 scale as some of the smaller pictures look distorted when made to fit the screen window but smaller images are always scaled to fit into the window. How to solve this?

A: If you do not want smaller images to be scaled to fit then use option "Shrink large images in 'Fit Scale' only. You will find this option on tab "Startup" in "Preferences" from menu "File".

Q: Can I change the background color?

A: Yes, see Preferences.

Stability Issues

Q: When I right click with the mouse on a thumbnail or in the file list a context menu is supposed to pop up. But instead Vallen JPegger closes or even crashes. If I right click in the Folder Tree or the image or in full screen mode then there is a context menu.

A: This problem has been reported on some very view machines. This is not directly a problem of JPegger but with the Windows System itself, which is somehow corrupt. If you right click on the thumbnails then the original Windows Explorer context menu is called. This context menu contains all shell extensions that might be installed by any program on the system. When JPegger is calling this context menu some exception is caused by the Windows operating system which makes JPegger to close. The reason for this is that a previously installed program has not been uninstalled properly. Currently there is no solution for this problem. If you have also have this problem, please report for further investigation.

Hint: There is a workaround for this problem. In the Preferences dialog you can disable the Windows Explorer context menu and use an internal context menu instead.

Q: I never use the MP3-Music Explorer. Is there a way to get rid of it?

A: File / Preferences / Tab "Start up" / MP3 Music Explorer Options / Check: Hide MP3 Music Explorer

The image selected is not supported by Vallen JPegger. We are working on supporting more Images

Q: Some images are not shown. The thumbnail is empty with a red cross. What does this mean?

A: The image selected is not supported by Vallen JPegger. We are working on supporting more and more formats with future versions.

Twain Import

Q: Twain import (select source) says twain.dll not exist.

A: The twain driver is part of your hardware scanning device (scanner or digital camera) and must be included with your hardware device. Install the hardware device specific twain driver from the device manufacturers software.

Printing

Q: Printing takes very long? Why?

A: Images need a huge amount of memory for pre-processing prior to sending the data to the printer. Depending on the available memory the printing process can take some time. All you can do is using smaller images or install more memory into your system if you want to increase the speed.

Q: I get an "Out of system resources" message during print and/or images on the page are blank.

A: Printing high resolution images takes a lot of system memory and you are running out of memory. Especially on Windows 9x machines you should be careful now as your system is getting unstable and it is recommended to reboot. This might result that you have several print requests in your printer spooler and you call the print command faster than your printer is printing.

Q: How can I change the size of the printed thumbnails?

A: You can define the size of the thumbnails for printing on Tab Thumbnails in Preferences out of menu File.

Q: I want to print the Postcards with filenames. Can I do that?

A: Print thumbnails instead and adapt the thumbnail size to your needs. You can print the thumbnails in any size and highest quality. See issue above.

Sound Playback

Q: When trying to play a sound file I get the message "MMSYSTEM257 Invalid MCI device ID. Use the ID returned when opening the MCI device."

A: There is no valid sound codec installed. Vallen JPegger doesn't come with a built-in MP3 codec. It simply uses the standard Microsoft sound interface. If your sound plays with Microsofts Media Play it also should play with Vallen JPegger. Vallen JPegger doesn't use Winamp codecs. So if your sounds play with Winamp but not with JPegger then still the Microsoft codecs are missing or overwritten by another non-compatible MP3 application. Update your Media Player. If you have also have this problem, please report for further investigation.

However if you have this or similar errors please check this link:
http://support.microsoft.com/default.aspx?scid=/support/windows/topics/win98/media/mmem.asp

Other

Q: I like Vallen JPegger but I haven't sent a postcard to the author yet. What can I do?

A: Quickly send a postcard from your hometown to:

Vallen-Systeme GmbH
Schäftlarner Weg 26a
82057 Icking
Germany.

Title: FAQ-1: FAQ - Frequently asked questions
Link: jpegger/faq/FAQMain.htm


Menu-1: Main Menu

Main Menu

Description of commands found in menus

The main menu provides access to many of the functions of Vallen JPegger. The most often used functions are also available via a tool bar. Move the cursor over the tool bar to get a tool tip for each button. For each button there is a menu item which is described in detail.

Menu File

Standard file operation commands. See chapter Menu File for details.

Menu Edit

General edit functions. See chapter Menu Edit for details.

Menu View

General view functions. See chapter Menu View for details.

Menu Image

Provides image editing functions like rotate and flip (mirror). See chapter Menu Image for details.

Menu Tools

Additional tools. See chapter Menu Tools for details.

Menu Help

Calls the online help system.

Title: Menu-1: Main Menu
Link: jpegger/menus/MenuMain.htm


Menu-2: Menu File

Menu File

The File menu offers well known Windows functionality for opening and closing projects, as well as printing. This menu can be found by File out of the main menu.

Open (shortcut <Ctrl+O>)

Opens a new image. All images in the same directory of the file opened are shown in the file list at the left hand side of the window (see also chapter File Order ).

Browse (shortcut <Ctrl+B>)

Opens a dialog that allows one to browse for another folder. Check "Recurse subfolders" to include images out of all subfolders.

Close (shortcut <Alt+F4)

Closes the currently open image and clears the file list.

Save As…

Allows to save current image as BMP or JPG file.

Twain Import -> Select Source

Opens the Twain source selection dialog to specify a scanner or digital camera

Twain Import -> Acquire

Opens the Twain interface to acquire a still image.

Print (shortcut <Ctrl+P>)

Opens the Print Preview dialog for printing the current image.

Print thumbnails

Opens the Print Preview dialog for printing thumbnails. The print size for the thumbnails is defined in Preferences. Sound files thumbnails are not printed.

Print postcards

Opens the Card Layout Dialog for printing all types of card sizes. Sound files thumbnails are not printed.

Update file List

Re-synchronizes the file list shown with the folder contents.

Update thumbnails

The thumbnails are rebuilt according to the current thumbnail size set in the Preferences dialog .

Copy file to (shortcut <Ctrl+C>)

Opens a dialog to browse a target folder to copy the currently opened file to.

Move file to (shortcut <Ctrl+X>)

Opens a dialog to browse a target folder to move the currently opened file to.

Rename file (shoprtcut <F2>)

Asks for a new file name to rename the file.

Delete file (short cut <Del>)

Moves the currently opened file to the recycle bin.

Preferences (shortcut <Ctrl+R>)

Opens the Preferences dialog box that to allows to modify file format associations and certain start-up defaults.

Most recently used file list (MRU-list)

The MRU-list is a history list that allows one to quickly access the most recently used files.

Exit

Quits Vallen JPegger.

Title: Menu-2: Menu File
Link: jpegger/menus/MenuFile.htm


Menu-3: Menu Edit

Menu Edit

The Edit menu provides functions that affects the currently loaded image. This menu can be found by Edit out of the main menu .

Clipboard commands

Copy

Copies the currently shown image to the clipboard.

Paste

Pastes an image from the clipboard into JPegger. This will also clear the file list as the current directory is no longer valid.

Edit command

Calls an external application to be used as image editor. The application to be launched is to be selected in Preferences.

Directory sort commands

Sort by Name, Location, Size, Time

Sorts the current file list accordingly (see also chapter File Order, these functions are also available there).

Random Order

Randomly orders the file list. Each click on this item reorders the list. Useful for a slide show (see below).

Screen capture commands

Screen capture

Opens the Screen Capture Dialog

Desktop wallpaper commands

Set centered, tiled, stretched

Sets the currently shown image as desktop wallpaper. Display the image either centered, tiled or stretched. Stretched wallpapers require Windows 98/2000 or higher.

Clear desktop wallpaper

Removes the current desktop wallpaper and shows the default background.

Slide show commands

Slide show (shortcut <F10>)

Starts and stops the slide show mode. When started all images in the file list are shown sequentially in the current order. When the end of the list has reached the slide show restarts on top of the list automatically. See also chapter Slide show Mode. See Preferences for slide show time interval.

Title: Menu-3: Menu Edit
Link: jpegger/menus/MenuEdit.htm


Menu-4: Menu View

Menu View

The View menu provides functions that affects scale the loaded image is shown. This menu can be found by View out of the main menu .

Toolbar

Shows the toolbar if checked.

Tool tips

If checked then tooltips (hints) are shown in a yellow box for all controls when the mouse is moved over the same control for more than half a second. When you got used to the toolbar you might find it more comfortable to switch off the tool tips.

Note: This option also enables/disables the tooltips on the thumbnails.

Scale to fit ( [image])

Scales the currently loaded image that it exactly fits completely into the window.

Scale 50% ( [image]), 100% ( [image]), 200% ( [image])

Scales the currently loaded image accordingly based on the original image size. There are more scale size available with the mouse (see also chapter Mouse Panning and Zoom ).

Flip thumbnails ( [image])

This function flips the thumbnails from left to the right hand side. There is a separate chapter on this issue.

Full screen (shortcut <F11>)

Shows Vallen JPegger full screen without window border and taskbar. Press <F11> again or <Esc> to reset.

Full screen image (shortcut <Ctrl+F11>)

Shows the image full screen. Press <Ctrl+F11> again or <Esc> to reset.

Minimize (shortcut <Ins>)

Minimizes JPegger quickly.

Title: Menu-4: Menu View
Link: jpegger/menus/MenuView.htm


Menu-5: Menu Image

Menu Image

The image menu provides some image editing functions.

Flip horizontally/vertically

Provides a simple mirror function. Lossless JPG transformations used if possible. See note at end of page.

Rotate Left/Right

Image rotate function. Lossless JPG transformations used if possible. See note at end of page.

Resample Image

Opens the Resample dialog to resample (resize) the image

Show EXIF Information

Shows the EXIF information stored by digital camera or scanner during image sampling.

About lossless JPG transformations

Vallen JPegger uses lossless JPG transformations specified by the Independent JPEG Group since version 4.14 for horizontal and vertical flipping (mirroring) and all rotation functions.

If the file the transformations is applied on is detected to be a valid JPG then the transformation is applied directly on the original JPG file without decompressing it. As a result there is no loss in image resolution as the file is not decompressed, rotated and re-compressed afterwards.

This transformations can be repeated as often as you like without any loss of image quality. Therefore the transformed image is saved to the original filename automatically after transformation.

The original file is copied to the recycle bin and as a result is not lost.

Note: The only trade-off that can happen using the lossless transformation functions is that the image size might be decrease by a few pixels in case the source buffer is not padded out to a full iMCU boundary. However the original image is still available in the recycle bin.

Title: Menu-5: Menu Image
Link: jpegger/menus/MenuImage.htm


Menu-6: Menu Tools

Menu Tools

The Tools menu provides additional helpful tool functions. This menu can be found by Tool out of the main menu. This menu will be subject to change with future versions.

Follow the links below for more information about the wizards to be called:

Find Duplicate Images

Image Rotation Wizard

EXIF Time Stamp Wizard

Title: Menu-6: Menu Tools
Link: jpegger/menus/MenuTools.htm


Pref-1: General options

Preferences

General Options

This dialog box is available via Preferences out of File menu.

Language

JPegger has multi language support built-in. The texts for the different languages are highly compressed within the EXE file. Use this combo box to change your preferred language while JPegger is running.

Please see chapter Localizations for supported languages and chapter Contributions for corresponding translators. I'd like to thank all translators supporting Vallen JPegger for their excellent voluntary work!

Note: If you also want to add your own localisation please also see chapter Localizations on how to do that.

Start-up options

If Load last open image on start is checked then Vallen JPegger automatically loads the image that was shown the last time when the program was closed.

Print options

These options allow to add an image information line when printing. Check all items you want to see printed in a line below the image.

Controls

Use Windows Explorer context menu on right click on a thumbnail if you prefer. But on some systems strange exceptions have been reported. Uncheck this option to disable and to show an alternative context menu.

Show hidden folders in folder tree enables display for hidden files/folders.

Key stroke options

Check Quit Vallen JPegger with <Esc> if you want JPegger to quit after pressing the <Esc> key. Normally JPegger is terminated via Exit out of the File menu or <Alt+F4> only.

Title: Pref-1: General options
Link: jpegger/preferences/PrefGeneral.htm


Pref-2: Display

Preferences

Display options

This dialog box is available via Preferences out of File menu.

Image display options

If Shrink large images in 'Fit scale' only is checked then only images which are bigger than the current display size are scaled to fit inside the window. Images which are smaller than the current window are not scaled but shown in original size.

Background color specifies the background color in normal window mode.

Full screen options

If Hide cursor in full screen is checked then the cursor is hidden when an image is shown in full screen image mode (see menu View).

With Show image information in full screen checked some file information like file name and size and file index is shown on the left hand side in full screen mode.

Hint: The former Start in full screen mode option has been replaced by command line option /fs. The default image scale has been superseded by command line option /sc:<scale>.

Background color specifies the background color in full screen mode.

Slide show options

Slide show time interval

Setup the time interval for slide show mode in seconds. Vallen JPegger internally uses read-ahead to keep the interval as exact as possible as long as the time required for loading and decompressing the image is shorter than the specified time interval.

Valid range is from 100 milliseconds up to 1 hour.

Slide show always in full screen

If checked then full screen mode is enabled automatically when slide show is started. Full screen is disabled when slide show is terminated.

Hint: You can also use a command line option if you want to start Vallen JPegger in Slide show mode.

Disable screen/monitor saver in full screen

If checked it disables the screen saver and monitor save mode when running in full screen slide show mode and JPegger being the top most application.

Hint: This function doesn't work if the screen saver is defined with the password option.

Restart slide show on end

When the slide show finished showing the last image it restarts with the first one automatically.

Title: Pref-2: Display
Link: jpegger/preferences/PrefDisplay.htm


Pref-3: More options

Preferences

More options

This dialog box is available via Preferences out of File menu.

External image editor application

Select any image editor here to be called on Edit out of menu Edit.

Note: You are calling an application which might not be safe. This application might contain viruses, spy out your data or might harm your system and/or your data in any other way. Vallen-Systeme GmbH can't assume any responsibility in any way for this application.

EXIF Options

Crop Factor

The Crop Factor (also called "Focal Length Multiplier") comes from the fact that the Sensor in a digital camera is smaller than a frame of 35mm film. This means the digital camera crops out the center portion of a given lenses field of view, but the image is still at the full resolution of the digital sensor. This Crop Factor gives a lens on a digital camera a smaller field of view than it would have on a film camera, giving it the same field of view of a longer lens when compared to a film camera.

The Crop Factor is used in EXIF display to give the Focal Length as it was a 35mm film camera and is dependent on the digital camera used. You can find more information the web, just google on "Crop Factor".

MP3 Music Explorer Options

Hide MP3 Music Explorer simply hides the Music Explorer tab for those users who don't want to use and see the Music Explorer at all.

Simple crossfading is a new option that starts the next title in the playlist before the currently playing title is finished. The overlapping time specifies the time span when the next title should be started before the currently playing title is finished.

This option has been implemented to provide a more "smooth" fading between the titles. But it is not a real fade-out/fade-in mode, simply a pre-start of the next title to avoid gaps between titles.

Title: Pref-3: More options
Link: jpegger/preferences/PrefMore.htm


Pref-4: Thumbnails

Preferences

Thumbnails

This dialog box is available via Preferences out of File menu.

Specify the size of the thumbnails to be shown. Please select the thumbnail size carefully. The bigger the thumbnails are, the more memory is required. Sizes bigger than 200 pixels slow down the handling and might produce problems on Windows 9x based machines.
Also depending on the number of thumbnails shown and installed memory.

Thumbnails are printed via "Print thumbnails" out of menu file. When printing the base image size of the thumbnails is identical to the thumbnail size in pixels specified here.

Additionally a thumbnail size in mm can be specified. The thumbnail image is scaled to fit inside this size. The size specified here is exactly the size the thumbnail image is printed. Around the image a frame is drawn in a distance of 1mm to each edge. But you can specify the offset which is the distance between the thumbnail images.

Use the thumbnail size in mm, the offset in mm, and the page settings to define how many thumbnails you want to print on one page.

Thumbnails saving options

Thumbnails are saved automatically by default into the same folder in a file jpeggeri.dat where its images are. This is for faster display if the thumbnails have been created once and you re-visit a folder. You can disable this option by unchecking Always save thumbnails. The option Hide jpeggeri.dat files controls if the file attribute should be set to hidden automatically.

Title: Pref-4: Thumbnails
Link: jpegger/preferences/PrefThumbnails.htm


Pref-5: File associations

Preferences

File associations

This dialog box is available via Preferences out of File menu.

Use this dialog box to select which files your computer opens automatically using Vallen JPegger.

Each line in the list represents one specific file extension with the according file format description. Click on a row to check/uncheck it.

Already registered file extensions are shown checked when the dialog box is opened. Uncheck those to remove existing associations.

Click the "Register..." button when finished your selection. Then all checked extensions will be associated to Vallen JPegger. All associations that have been previously performed and are not checked will be removed.

Note: No modifications are performed as long as the "Register..." button has not been pressed.

Title: Pref-5: File associations
Link: jpegger/preferences/PrefFileAssos.htm


Use-01: Keyboard Shortcuts

Keyboard Shortcuts

Navigating through images

Simply open a file using File/Open.

The following keyboard commands are available to navigate through images:
<Home> | Show the first image in the directory
<End> | Show the last image in the directory
<Up> | Show the previous image
<Down> | Show the next image
<Page-Up> | Next image in full screen
<Page-Down> | Previous image in full screen
<numeric +> | Zoom in, alternatively use mouse wheel + <Ctrl>
<numeric -> | Zoom out, alternatively use mouse wheel + <Ctrl>
<numeric x> | (Multiply key, numeric keypad), Scale image by 100% relative to the original
When the image is shown in full screen mode, some of the keys do have a different meaning:
<Up> | Vertical panning up, alternatively use mouse wheel + <Shift>, or hold mouse and move
<Down> | Vertical panning down, alternatively use mouse wheel + <Shift>, or hold mouse and move
<Left> | Horizontal panning left, alternatively use mouse wheel + <Shift>, or hold mouse and move
<Right> | Horizontal panning right, alternatively use mouse wheel + <Shift>, or hold mouse and move
<Page-Up> or <Backspace> | Show the previous image
<Page-Down> or <Space> or <Enter> | Show the next image. Same as mouse click into image.
<Ctrl+Page-Up> | Previous multi page image (if available)
<Ctrl+Page-Down> | Next multi page image (if available)
The following commands are also available via menu or tool bar:
<F5> ( [image] ) | Auto scale image to fit into the window
<F6> ( [image] ) | Scale image by 50% relative to the original
<F7> ( [image] ) | Scale image by 100% relative to the original
<F8> ( [image] ) | Scale image by 200% relative to the original
Other scales are possible via mouse wheel. You also can use the <+> and <-> keys to zoom in and out.
<Ctrl+C> | Starts Copy file to dialog
<Ctrl+X> | Starts Move file to dialog
<Ctrl+R> | Opens Preferences dialog box.
<Ins> ( [image] ) | Minimizes JPegger
<F11> | Shows Vallen JPegger full screen without window border and taskbar. To reset press <Escape> (Escape might be used to quit Vallen JPegger. See Key stroke options in Preferences).
<Ctrl+F11> | Shows the image full screen. To reset see description above for <F11>.
<Ctrl+F4> ( [image] ) | Closes currently open image.
<Ctrl+P> ( [image] ) | Opens the Print Preview dialog for printing.
< Del> | Moves currently open image to the recycle bin (file delete)
< Ctrl+Del> | Deletes file with bypassing recycle bin (Be careful!!)
<F2> | Renames the image
<Ctrl+Alt+L> | Rotate image counterclockwise
<Ctrl+Alt+R> | Rotate image clockwise
<F4> | Calls external image editing program
<Ctrl+F5> | Updates the image list and the folder tree
<Shift+Ctrl+F5> | Forces a rebuild of outdated or not optimum sized thumbnails
See the main menu for more shortcuts.

Title: Use-01: Keyboard Shortcuts
Link: jpegger/use/UseKeyboard.htm


Use-02: Mouse Panning and Zoom

Mouse Panning and Zoom

Scrolling and zooming the bitmap

Panning:

When viewing an image zoomed, meaning that the bitmap is bigger than the window and scrollbars are visible, then only a section of the bitmap is visible. To pan the bitmap you can use either the scrollbars or use Mouse Panning:

Click with the mouse somewhere in the picture and hold the left mouse button. Then move the mouse while the button is down. The cursor changes to [image] and the whole image moves with the mouse and allows you to show quickly invisible parts of the bitmap.

In full screen mode you also can use the cursor keys (<Left>, <Right>, <Up>, <Down>) for panning.

Hint: Mouse Panning is available only when the bitmap zoomed, indicated by visible scrollbars.

Zooming:

You can zoom the display with the mouse wheel: Roll the mouse wheel while holding the <Ctrl> to zoom in and out. The current scale factor is shown in the status bar on the bottom of the window. You also can use the <+> and <-> keys on the numeric keypad for zooming. The ‘Multiply’ key on the numeric keypad resets the scale to 100%. You can also use the keys <F5> to <F8> to reset to a certain scale factor.

Title: Use-02: Mouse Panning and Zoom
Link: jpegger/use/UseMouse.htm


Use-03: Slide show Mode

Slide Show Mode

Automatically showing images

The Slide show mode allows one to show all the bitmaps sequentially in the specified order. The Slide show mode is started and terminated (toggle function) via Slide show out of the Edit menu or via shortcut <F10>.

During slide show mode a context menu via right mouse click is available. If any of the keyboard shortcuts are pressed the Slide show is terminates also.

The time interval each bitmap is shown is freely definable in Preferences.

Title: Use-03: Slide show Mode
Link: jpegger/use/UseSlideshow.htm


Use-04: Flip thumbnails

Flip thumbnails

Select the best layout

The Flip thumbnails ( [image]) function flips the thumbnails from the page control on the left hand side to the bigger right hand side. When this function is disabled (default) then the file list and the thumbnails share a page control on the left hand side of the window. You find this function in the menu View or as toolbar icon [image].

When enabled the thumbnails flip to the right side and thumbnails and image share the same page control.

Both display modes are identical by the way they work. Find out for yourself which is most adequate for you. A screenshot of both display modes is also shown in the Overview chapter.

Title: Use-04: Flip thumbnails
Link: jpegger/use/UseFlipThumbnails.htm


Use-05: File list

File list

Ordering the files according to your needs

Specify the order of the files with the Edit menu. Files can be ordered by:

Name:

This is the default. Files are ordered by name like in the Windows Explorer.

Size:

Files are ordered by size. Smaller files at the beginning. This is useful for searching for images which are identical except the name. So identical images have the same size and are ordered together.

Time:

Files are ordered by time. Older files at the beginning. This is useful when downloading files from the internet. To check if files have properly stored just look at the newest files.

Random Order:

Files are ordered at random. Interesting for Auto Show only.

Sorting with the file list:

The file list on the left hand side of the windows can also used to sort the window. Click on the according columns to sort forward. Click again on the same column to sort backwards. The file list always shows all images found in the current directory. This directory is defined by the path from where the last image has been opened.

Hint: Not all columns might be visible when starting JPegger. You can resize the width of the file list with the mouse. To do so click on the right hand side of the file list, keep the button pressed and move the mouse horizontally.

Title: Use-05: File list
Link: jpegger/use/UseFileList.htm


Use-06: Folder Tree

Folder Tree

Changes folders with a single click

A directory tree is displayed in addition to the file list.

The directory tree works intuitively. If you click on a folder this folder is used exactly like using the Browse function.

A complete screen shot of Vallen JPegger including directory tree can be found on Overview .

Title: Use-06: Folder Tree
Link: jpegger/use/UseFolderTree.htm


Edit-1: Resample Image

Resample Image

Resizing an image

This dialog box is available via Resample Image out of Image menu.

First specify the image dimension units. Then specify the new dimensions or give a scale factor for either horizontal or vertical size.

The Resolution is the scale factor used for converting image size in pixels to any units. The Resolution is saved only in "BMP" format.

Check Anti-Alias to use the slow but high-quality Lanzcos algorithm for resampling the image. If not checked a faster Triangle algorithm is used.

Check Aspect-ratio if you want to keep the given with to height ratio of the image when resizing.

Title: Edit-1: Resample Image
Link: jpegger/edit/EditResample.htm


Edit-2: Screen Capture Setup

JPegger: Screen Capture Setup

Screenshots quick and easy

The Screen Capture Setup allows one to quickly make Screenshots of your desktop or any window. This dialog can be found by Screen Capture out of the Edit menu .

Capture:

Define here, if you want the capture a single window only or the desktop as a whole.

Activate capture using:

You can either activate the screen capture by a Delay Timer or by a keyboard hotkey. The Delay Timer specifies the time in seconds after which the screen is captured automatically.

With the keyboard hotkey the screen is captured with the press of this hotkey.

Note: When you start the screen capture JPegger hides itself to allow a screen capture without interference with JPegger. Please press the hotkey for wait for the Delay Timer and JPegger will pop up again.

Title: Edit-2: Screen Capture Setup
Link: jpegger/edit/EditScreenCapture.htm


Use-07: Sound interface

Sound interface

Play any MP3 or Midi file while viewing images

Manual Playback with player

MP3, WAV, and MID files show up in the file lists automatically. Simply double click on an sound file icon to open the player.

The player includes basic controls to Play, Pause and Stop the current title. The long track bar is included for fast navigation within the sound file, the lower short one for volume control.

Important:

JPegger expects the sound files to be valid and the necessary hardware and codec to exist. There is no codec installed with JPegger. So if you want to play certain media formats be sure that the necessary Windows media Player codecs are installed. Windows 95 system might need to install Windows Media Player 6.4 to play MP3 files.

Auto playback when opening a folder

There was a request from a school of arts who are producing their own educational CD with images of ancient paintings. They already are using JPegger for their CD and wanted to add spoken comments for each folder on the disk.

For them we added a special sound interface which allows to automatically play back WAV, MP3 or Midi files when opening a folder. Now you can use this interface also for playing your own comments or listen to music while browsing through your images.

To use this option for your own images you simply have to add an INI file to your folder with the format explained below. Use any text editor like Notepad and create a file inside your image folder with the filename "jpegger.ini".

[SoundSetup]

FileNameMP3=intro.mp3

When Vallen JPegger opens a new folder it first checks for the file "jpegger.ini". If there is one it checks for the section "SoundSetup".

There you can place the entry "FileNameMP3". Behind this key you specify the filename of the sound file to play back (here a MP3 file "intro.mp3" but you could also specify a Midi file like "passport.mid"). Be sure to give a path relative to the current folder of the directory when creating CDs. A good practice is to copy the sound file into the same directory where the images are because then you do not have to specify a file path.

JPegger doesn't analyze the sound file type. Therefore it doesn't matter if the Key "FileNameMP3" specifies a MP3, WAV, or Midi file.

More information about this can be found at the following links:

English: | http://www.agfanet.com/en/cafe/softreview/cont_softreview.php3?id=197&archive=y
Deutsch: | http://www.agfanet.com/de/cafe/softreview/cont_softreview.php3?id=196&archive=y
Francais: | http://www.agfanet.com/fr/cafe/softreview/cont_softreview.php3?id=198&archive=y

Title: Use-07: Sound interface
Link: jpegger/use/UseSoundInterface.htm


Use-08: Command line interface

Command line interface

Start up with your own options

Especially when you are placing Vallen JPegger on a CD then you might want to start it up with predefined options. The following command line is defined:

Command line definition:

jpegger [-?] | [-help] [-dm:<mode> [-notab]] [-fs] [-ss:<delay>] [-sc:<scale>] [-ui -q] [-r] <image>

Description:

-?

Pops up a short command line help, same as –help.

-help

Pops up a short command line help, same as -?

-dm:<mode>

Display Mode on start:

0: MP3 Explorer
1: Image Explorer, thumbnails left, Tab Files in front
2: Image Explorer, thumbnails left, Tab Thumbnails in front
3: Image Explorer, thumbnails right, Tab Image in front (Flip thumbnails)
4: Image Explorer, thumbnails right, Tab Thumbnails in front (Flip thumbnails)

Can be used with option -notab

Mode 3 replaces old option -ft.

-notab

Don't show tabs, means either image or MP3 Explorer is hidden. Only in combination with -dm:<mode>

-nohist

Don't save history lists. When running JPegger from command-line you may not want to save the images/folders shown in the history lists.

-fs

Start up in full screen mode

-paste

Paste clipboard contents on start

-mw

Maximize window on start

-ss:<delay>

Start up in slide show mode. You must specify the slide show interval in milliseconds as <delay>. If you specify -ss:5000 the slide show interval is set to 5000ms equivalent to an interval of 5 seconds.

-sc:<scale>

Start up scale in percent. Default is zero (-sc:0) which scales the image to fit inside the image area. To scale the image to 100 percent on start use –sc:100.

-m3u:<file>

Load Winamp compatible playlist <file> and play

-setlng:<lng>

Preselect language to avoid start-up language select dialog. Replace <lng> with one of the following 3-character language identifiers (example: -setlng:DEU for German preset):

ENU | English
DEU | German
ITA | Italian
FRA | French
PTG | Portuguese
ESP | Spanish
SVE | Swedish
NLD | Dutch
FIN | Finnish
DAN | Danish
PLK | Polish
HUN | Hungarian
CSY | Czech
HRV | Croatian
SRL | Serbian (Latin)
SRB | Serbian (Cyrillic)
SLV | Slovenian
TRK | Turkish
RUS | Russian
ARE | Arabic
CHS | Chinese, Simplified
CHT | Chinese, Traditional
JPN | Japanese

-p

Print, used for registered file extensions in Windows Explorer with Print.

-r

Recurse subfolders when folder or file name is specified

-sort:name

Sort images by name on program start

-sort:random

Random image order on program start

<image>

Image file name or image file folder. If image includes blanks or special characters then place <image> into quotes (see hint below).

Example:

jpegger.exe -ft -setlng:deu -ss:6000 -mw start\startimage.jpg

Calls JPegger, flips thumbnails on start, presets German language to skip start-up setup, starts slide show mode with time interval of 6 seconds, maximizes JPegger, and opens image "startimage.jpg" out of folder start. All images in folder "start" will be shown in slide show mode in alphanumeric order.

Hint: When providing filenames or path including blanks including blanks then you can enclose one or each individual option by quotes to make the program understand that this is one single option:
Example: jpegger.exe -ft -ss:6000 –mw "start folder\start image.jpg"

Title: Use-08: Command line interface
Link: jpegger/use/UseCommandLine.htm


Use-09: Batch rename

Batch rename dialog

Renaming multiple files

To rename more than one file simply select all the files and press <F2> or select "Rename" out of menu File to call the Batch Rename Dialog.

The program will go through all selected files and rename them according to the mask entered. For convenience, several replacement macros are provided.

Note: The following macros are case sensitive!!

[N] | Original file name (without extension).
[F] | Folder name.
[#] | File counter, the number of digits is given by the number of '#' characters used (Example ### -> 001).
[DATE] | Date (system short format)
[YY] or [YYYY] | Year from date, 2/4 digits
[M] or [MM] | month from date, 1/2 digits
[D] or [DD] | day from date, 1/2 digits
[h] or [hh] | hour, 1/2 digits
[m] or [mm] | minutes, 1/2 digits
[s] or [ss] | seconds, 1/2 digits

Note: Use of other bracketed texts are ignored.

Notes:

  • When the option "Use Exif date/time" is checked, the date/time is loaded from the Exif information in jpg files (if available). Otherwise the file date/time is used.

  • When "Move original files to Recycle Bin" is used, the original files are copied to the new name but the original files are moved to the Recycle Bin for backup. Otherwise a simple rename operation is performed.

  • For the number macro ("#"), a start and increment value can be specified (both default values are 1).

  • The renaming operation fails if several files would convert to the same file name or if a file already exists. This means that at least the original file name ("N"), a number ("#") or a date macro would be required to generate unique file names.

Title: Use-09: Batch rename
Link: jpegger/use/UseBatchRename.htm


Wizard-1: Find Duplicate Images

Find Duplicate Images

Start this wizard out of menu Tools to browse the current open folder for identical images. If you are working with many images then it easily happens that you have the same image more than once as a result of copy or backup operations. To filter out those images easily use this function.

There is a popup window after operation showing a results report. Each line represents one identical file pair shown in the left and right list box. To delete images select either from the right or the left listbox. Use <Shift> and <Ctrl> keys for multi select.

Hint: You can change the size of the preview area by dragging the left frame of the preview group.

Title: Wizard-1: Find Duplicate Images
Link: jpegger/wizards/wiz_Duplicates.htm


Wizard-2: Image Rotation Wizard

Image Rotation Wizard

This wizard out of menu Tools reads the EXIF information out of JPG files and analyzes the Orientation value. If an image is "normal" this value is set to "1". Newer digital cameras have a sensor built in to determine the orientation of the camera while taking the picture. So these cameras change this value if the camera is held rotated during making the picture This flag is used by the wizard to find out the proper image orientation and to automatically rotate the images properly. But it depends on your camera a if it this supports this feature or not. If not, you can't use the wizard as there is not flag to analyze.

Each line shows an image to be rotated and the rotation direction. The preview area previews the result how it will look like after rotation.Select the images you want to be rotated. Use <Shift> and <Ctrl> keys for multi select.

Hint: You can change the size of the preview area by dragging the left frame of the preview group.

Title: Wizard-2: Image Rotation Wizard
Link: jpegger/wizards/wiz_Rotate.htm


Wizard-3: EXIF Time Stamp Wizard

EXIF Time Stamp Wizard

Use this wizard out of menu Tools if you modified your pictures with another program and the time stamp doesn't match the EXIF time anymore. The EXIF time contains the time when the picture was shot. If you want to order your images according to the time of the shot, it is convenient if the file date equals the time of the shot. This wizard assists you in restoring the time of the shot to the file time. The image data itself is not modified by this function.

Each line shows the file date and the EXIF date. Select the images you want to restore the file date and click Time Stamp NOW! Use <Shift> and <Ctrl> keys for multi select.

Hint: You can change the size of the preview area by dragging the left frame of the preview group.

Title: Wizard-3: EXIF Time Stamp Wizard
Link: jpegger/wizards/wiz_TimeStamp.htm


Print-1: Printer Page Settings

Printing: Page settings

How to Adjust Printouts

This is the standard print dialog which pops up when printing either a single image or thumbnails or postcards. Use this dialog to verify your print settings prior to printing.

Hint: This dialog is sizeable. For a bigger display of the preview area you maximize the dialog to full screen with the Maximize Icon on the top right corner of the dialog. You also can zoom and pan the Print Preview Area. See below for more information.

Orientation:

Specifies which page orientation: portrait or landscape. If Fit on Page (see below) is checked the output size on page is adjusted automatically. A margin of 2 cm is assumed in this case.

Units:

Specifies the units (mm or 0.001 inch) for the size and position values.

Position on Page:

Defines the position on page in the specified units. You can either define the position on the page manually or select Center on page.

Size on Page:

Defines the size on the page in the specified units. You can either define the size manually or select Fit on page for automatic adjustment. Fit On Page will use all space available on the page with a standard 2 cm border to all four corners.

Print preview area:

All changes done in the page settings are immediately shown here. If the cursor is over this area it changes into a magnifying glass indicating zoom functionality. Click the left mouse button to zooms the display up. The right mouse button zooms the display down. When the display is zoomed, keep the left mouse button pressed while moving the cursor to pan the display.

In addition this dialog is sizable. You can also enlarge the whole dialog to full screen for a better overview.

Status line:

This status line shows the current print status. If you selected more than one pages to print then in the status bar on the bottom left of the dialog is a spin control that allows you to preview all pages.

Hint: Instead of the spin control you can use <Page-Up> and <Page-Down> key to get from one preview page to another.

Print:

Opens a dialog to select a printer and starts printing.

Close:

Quits this dialog.

Help:

Shows this help text.

Title: Print-1: Printer Page Settings
Link: jpegger/print/PrintSetup.htm


Print-2: Printing Card Layout

Card Layout Dialog

This dialog shows up when selection File/Print postcards. Pick a layout from 2 images up to 144 images per page. Images are printed in highest resolution so be careful when using this function with a big amount of images. It might take some time.

Images are rotated to fit best in the proper image fields for best usage of space.

Click OK to get to the Printer Page Settings dialog.

Title: Print-2: Printing Card Layout
Link: jpegger/print/PrintCardLayout.htm


MP3-1: Music Explorer

MP3 Music Explorer

The powerful Player

Overview:

Even if JPegger initially was designed to be a pure Image Viewer the playback of Music files has been added due to user demands. The simple sound playback has grown up over the months to a full featured and complete Music Explorer that automatically analyzes your MP3 tags and organizes all your MP3 files into a very convenient tree structure.

Selecting music folders:

Change the Tab to the MP3 Music Explorer and use the Browse button or file menu to browse for a root folder with your MP3 files. JPegger then runs through all your files, reads the MP3 tags and organizes the MP3 files according to folder, artist, album, genre, and playlists (M3U files) in the tree on the left hand side.

The Organizer Tree:

The Organizer Tree fills the left hand side of the MP3 Music Explorer and works like a filter: E.g. to see all titles from a certain artist open the main branch Artist in the tree and select an artist. The title list, which is the upper tree view shows all titles from this artist. Same works with main branch Genre. In addition in genres there are sub branches again for Artists. The Organizer Tree allows you to quickly find what you are searching for.

Searching for titles, genre, album, artist:

In addition you can use a search dialog with <Ctrl+F> to search for artists, album, titles and so on.

About the tags:

The MP3 tags which are stored within the MP3 files are used for organizing the files in the tree. You can modify the MP3 tags freely with the MP3 Tag Editor. The tree is automatically updated according to the modified MP3 tags.

Playing music:

If you double click a title in the title list this entry will be copied into the current playlist, which is the lower list view and the title starts playing. You can add as many titles to the playlist as you like and the titles are played in the given order. A double click in the lower playlist directly starts the selected title in the player.

More functions:

Use the self-explaining context menus (right mouse click) for more functions like Shuffle Mode (random order) or Auto Repeat Mode which repeats the playlist when finished.

Export titles to MS-Excel:

A unique feature of JPegger is the Excel export function of the current title list. This allows you to make lists with your titles in Excel for easy printing.

Title: MP3-1: Music Explorer
Link: jpegger/mp3/MP3MusicExplorer.htm


MP3-2: MP3 Tag Editor

MP3 Tag Editor

Modify the MP3 tags including full Unicode support

To start the MP3 Tag Editor, use the context menu in the music explorer view on a file selection.

The MP3 Tag Editor gives you full control over all standard MP3 tags of a Music file. The MP3 Editor is completely Unicode capable (read details below), which means it also supports far eastern characters.

Freely fill in or modify the tags according to your requirements. If you selected more than one file to modify the tags, only those texts which are identical within the selected files are shown. Texts that are different are shown empty. If you modify one field it will update all selected files.

The checkbox on the bottom is grayed if there are no Unicode characters in the text boxes and the tags are written in the standard code page. If Unicode characters are detected the checkbox is enabled to allow you to save the tags either as Unicode (recommended) or in the current code page, but then the Unicode characters might get lost.

More technical information about ID3V1/ID3V2

Vallen JPegger supports both ID3V1 and ID3V2.

On read for each field it tries to read ID3V2. If not successful it tries to read ID3V1.

On Write both always formats ID3V1 and ID3V2 are written and updated.

Vallen JPegger fully supports Unicode texts. So also with ID3V2. If the characters used are not part of standard code page 28591 it enables the Unicode option in ID3V2 is enabled and stored as Unicode. When writing Unicode, it uses the full representation without swapping byte order. There are several possibilities (defined in the ID3V2 specification) to store Unicode; JPegger's choice, although it might use more space than UTF8, it the simplest and probably most compatible with other programs (there are not too many software which can correctly work with Unicode tags).

For reading, flat Unicode (swapped or not, with or without BOM), and UTF8 encoded characters are supported

Title: MP3-2: MP3 Tag Editor
Link: jpegger/mp3/MP3TagEditor.htm


vallen-01: Contact Customer Support

Vallen-Systeme GmbH, The Acoustic Emission Company

Vallen-Systeme GmbH

Schäftlarner Weg 26

D-82057 Icking (Munich)

Germany

Other contact information:

General Inquiries:

e-mail: info@vallen.de

Technical Support:

e-mail: support@vallen.de

Sales Related Requests:

e-mail: sales@vallen.de

Phone Number:

+49-8178-9674-400

Fax Number:

+49-8178-9674-444

Internet Address:

http://www.vallen.de

Internet Software Update Service:

http://www.vallen.de/download

Freeware:

http://www.vallen.de/freeware

Title: vallen-01: Contact Customer Support
Link: common/vallen/VallenContact.htm


vallen-02: Feedback: Features, Bugs, Ideas

Feedback, Features, Bugs, Ideas

We welcome your feedback regarding software.

If you have ideas for new features send us your feedback. If you detect bugs, even wrong spelled words, please inform us.

Please include the following information with your feedback:

  • Product name and version number (important, see About or Info box of Vallen software, available via About button or Info from the Help menu).

  • Operating system (see About or Info box of Vallen software, available via About button or Info from the Help menu).

  • Brief description of the problem and its reproducibility

  • Conditions under which the problem occurs. Best is a step-by-step instruction how to reproduce the problem.

  • If possible include sample data files (PRI, TRA, VAC, VAE) to reproduce the problem. With VisualAE™ you can export parts of your data file.

  • In some cases also a screenshot could be very helpful. Screenshots can be taken with most graphics programs, also with Vallen JPegger (download for free from http://www.vallen.de/freeware).

Hint: When reporting Bugs please be as precise as possible. Please provide all information required to reproduce the problem quickly. Please provide sample data files if possible. The faster we can understand and reproduce your problem the faster we can help you.

For suggestions to improve help text pages or printed documents, please click here.

Please send your e-mail messages to: support@vallen.de

Note: There is no official support for Vallen Freeware tools.

Thank you for your cooperation.

Title: vallen-02: Feedback: Features, Bugs, Ideas
Link: common/vallen/VallenFeedbackFeatures.htm


vallen-03: Feedback: Documentation

Feedback, Documentation

We welcome your feedback concerning our documentation. Please let us know your comments and suggestions for improvements (e.g. by e-mail).

Please include the following information with your feedback:

  • Product name and version number

  • Printed manual or online help

  • Topic-ID (can be found in Online-Help at the end of each topic page below line)
    Example: Topic-ID of this page is „Feedback_Documentation".

  • Document code and page number (for printed materials, PDF-, and Word documents)

  • Brief description of content (for example, are you reviewing step-by-step instructions that are inaccurate, grammatical errors in a specific paragraph, information that requires clarification or more details, etc.).
    If you are working on online documentation please copy the text to be changed in a separate document.

  • Your suggestion for how to correct/improve documentation. Mark your changes (e.g. by bold formatting) if modifying online documentation.

Please send your e-mail messages to: support@vallen.de

Thank you for your cooperation.

Title: vallen-03: Feedback: Documentation
Link: common/vallen/VallenFeedbackDocu.htm


vallen-04: Trademarks

Trademarks

VisualAE™, VisualClass™, VisualTR™, AMS3 and AMSY4 are trademarks of Vallen-Systeme GmbH in Germany, U.S.A. and other countries.

Microsoft and Windows are registered trademarks of Microsoft Corporation.

Other brands and their products are trademarks or registered trademarks of their respective holders and should be noted as such.

Title: vallen-04: Trademarks
Link: common/vallen/VallenTrademarks.htm


vallen-05: Copyright

Copyright

Copyright © 1986-2006 by Vallen-Systeme GmbH, Germany. All rights reserved.

Information in this document is subject to change without notice.

No part of this publication may be reproduced, stored in a retrieval system or transmitted in any form or any means electronic or mechanical, including photocopying and recording for any purpose other than the purchaser's personal use without the written permission of Vallen-Systeme GmbH.

Title: vallen-05: Copyright
Link: common/vallen/VallenCopyright.htm


vallen-07: Freeware

Vallen Freeware, useful tools

Vallen Freeware are useful tools for different purposes. Vallen Freeware is available either from the internet or from the Vallen AE-Suite CD-ROM in the folder '\Freeware'.

Please check the internet at http://www.vallen.de/freeware for regular updates.

You are authorized to use Vallen Freeware, and of course any kind of feedback is highly welcome.

Note: There is no official support for Vallen Freeware tools.

For details regarding the different tools please see the documentation belonging to each tool respectively.

Vallen Freeware is coming as is, without any warranty regarding functionality or reliability. Vallen-Systeme GmbH disclaims all warranties for Vallen Freeware. We shall not be liable for any direct, indirect, consequential, or incidental damage arising out of the use or inability to use Vallen Freeware.

Vallen-Systeme GmbH reserves the right to modify, withdraw, or start selling Vallen Freeware tools without prior notice.

Vallen JPegger is free for private use only.

Title: vallen-07: Freeware
Link: common/vallen/VallenFreeware.htm


vallen-10: Troubleshooting HTML Help

Troubleshooting HTML Help

The following information is copied from the Microsoft® Web (Original Link):

To display HTML Help, a user's computer must have both HTML Help components and Microsoft® Internet Explorer layout engine components installed. If you are creating an Access Runtime application and installing it on a computer that does not have Microsoft® Office 2000 or later installed, the components necessary to display HTML Help might not available. All the components necessary to display HTML Help are installed with any of the following:

  • Microsoft Office 2000 or later

  • Microsoft Internet Explorer version 4.0 or later

  • Microsoft Windows 98 or Windows 2000/XP

  • Microsoft Windows NT Server, Windows NT Workstation version 5.0, or Windows 2000/2003 Server

If none of these are available on a user's computer, you will need to redistribute some or all of the components necessary to display HTML Help.

If users have Internet Explorer version 3.02 installed, and the HTML Help system you are distributing doesn't require DHTML or other functionality supported only by Internet Explorer 4.0 or later, you can use the HTML Help Update component (Hhupd.exe) to redistribute HTML Help. In this case, if you use Hhupd.exe to install HTML Help, HTML Help will use the layout engine components of Internet Explorer 3.02. The HTML Help Update component is available from the HTML Help Web site at:
http://msdn.microsoft.com/library/default.asp?URL=/library/tools/htmlhelp/chm/hh1start.htm&RLD=77.

[Article truncated]

© 2001 Microsoft Corporation. All rights reserved.

Title: vallen-10: Troubleshooting HTML Help
Link: common/vallen/VallenHTMLHelp.htm